org.eclipse.wst.jsdt.debug.rhino.debugger

## Class RhinoDebugger

- java.lang.Object
- - org.eclipse.wst.jsdt.debug.rhino.debugger.RhinoDebugger

    public final class RhinoDebugger
    extends java.lang.Object

Rhino debugger

Since:
  1.0

### Constructor Summary

Constructors
Constructor and Description
`RhinoDebugger(java.lang.String configString)` This constructor will only accept a `transport` argument of `socket`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `contextCreated(Context context)`
`void` `contextReleased(Context context)`
`void` `start()` Starts the debugger
`void` `stop()` Stops the debugger

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RhinoDebugger

    public RhinoDebugger(java.lang.String configString)

This constructor will only accept a `transport` argument of `socket`. I.e. `transport=socket`.

Parameters:
  `configString` - the configuration string, for example: `transport=socket,suspend=y,address=9000`

### Method Detail

#### start

    public void start()
               throws java.lang.Exception

Starts the debugger

Throws:
  `java.lang.Exception` - if the debugger could not start

#### stop

    public void stop()
              throws java.lang.Exception

Stops the debugger

Throws:
  `java.lang.Exception`

#### contextCreated

    public void contextCreated(Context context)

#### contextReleased

    public void contextReleased(Context context)